using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class IntroScreen : MonoBehaviour
{

    public TMP_InputField NameInput = null;
    public Button ConfirmButton = null;


    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        ConfirmButton.interactable = NameInput.text.Length >= 3;
    }

    public void ConfirmButtonPressed()
    {
        PlayerStats.Username = NameInput.text;
        UnityEngine.SceneManagement.SceneManager.LoadScene("CombatScene");
    }
}
